package com.project.zcustom.mapper.car;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.project.zcustom.domain.addional.*;

import java.util.List;

@InterceptorIgnore(blockAttack = "true")
public interface PlatCarMapper {

    List<LargeUnitRank> getUnitRankList();

    LargeCar getResourceNumber(String appOrg);

    List<LargeCarDetail> getCarDetail(String appOrg, Long flag, Long pageSize, Long page);

    int getCarDetailNum(String appOrg, Long flag);

    LargeCar getMonitorNumber(String appOrg);

    List<LargeWarnDetail> getWarnDetail(String appOrg, String alertType, Long pageSize, Long page);

    int getWarnDetailNum(String appOrg, String alertType);

    LargeCar getOperationManageTopHalf(String appOrg);

    List<LargeUnitRank> getUnitRankTop();

    List<LargeUnitRank> getUnitRankLast();

    List<LargeCarRank> getCarRank();

    List<LargeCar> getSelfCarNum(List<String> appOrg);

    int deleteAllCarDetail(Integer flag);

    int deleteAllWarnDetail(String alertType);

    int deleteAllCarRank();
}
